pluginName = Graph-Explorer
provider = grogra.de
docLink = /Graph-Explorer/Graph-Explorer
/plugins/de.grogra.graph.explorer.ShortDescription = The Graph Explorer plugin aims to enable the usage of additional graphs in GroIMP. Therefore two approaches are presented: the GraphObject and the Secondary Graph, which fulfill slightly different needs. Both objects are managed like standard GroIMP asset (such as light models, images, ...). The plugin also includes explorers for them. <br><br><u> Change log 0.5 </u><ul><li> rename SubGraph to SecGraph</li><li> enable multi-file import for both explorers</li><li> 2d and 3d view for secondary Graphs</li><li> first steps towards RuleGraphs</li><li> documentation and examples</li></ul>
	
/disable/options/de.grogra.graph.explorer.Name = Graph-Explorer

/ui/panels/objects/secgraphs.docLink = Graph-Explorer/Graph Explorer/Secondary Graphs
/ui/panels/objects/secgraphs.Name = Secondary Graphs
/ui/panels/objects/graphobjects.docLink = Graph-Explorer/Graph Explorer/GraphObject
/ui/panels/objects/graphobjects.Name = Graph Objects



/examples/graphexplorer.Name= Graph Explorer


/examples/graphexplorer/GraphObjectRef.Name = ObjectGraph Example
/examples/graphexplorer/GraphObjectRef.ProjectName = ObjectGraph Example
/examples/graphexplorer/GraphObjectRef.ShortDescription = An example of using the ObjectGraph and the ObjectGraphExplorer to "degrow"(stepwise remove the last internode) a imported dtd structure.  <br>Using the GraphObjectExplorer the original file is added to the gsz project and can be reloaded 
/examples/graphexplorer/GraphObjectRef.Image = `image GraphObjectExample1.png`

/examples/graphexplorer/SecGraphQueryExample.ProjectName = Querying Secondary Graphs
/examples/graphexplorer/SecGraphQueryExample.ShortDescription = Using the Secondary Graph explorer it is possible to load external files and store them as secondary graphs. <br> This example shows how this added sceondary graphs can then be queried.  

/examples/graphexplorer/SecGraphCreationExample.ProjectName = Creating Secondary Graphs
/examples/graphexplorer/SecGraphCreationExample.ShortDescription = An example on how to create and manipulate secondary graphs on the fly
/examples/graphexplorer/SecGraphCreationExample.Image = `image SecGraphCreationExample.png`

/examples/graphexplorer/SecGraphManipulationExample.ProjectName = Creating Secondary Graphs
/examples/graphexplorer/SecGraphManipulationExample.ShortDescription = An example on how to create and manipulate secondary graphs on the fly


/examples/graphexplorer/SecGraphSaveAndLoadExample.ProjectName = Saving and loading in Secondary Graphs
/examples/graphexplorer/SecGraphSaveAndLoadExample.ShortDescription = A simple example for storing and resuing graph structures in SecGraph resources.<br> The model implements a save and a load function that allows to save and reload the current simulation.  <br> Using the autorecrate features this even works after recompilation or after chaning the module(as long as the attributes stay the same)
/examples/graphexplorer/SecGraphSaveAndLoadExample.Image = `image SecGraphSaveAndLoadExample.png`


/examples/graphexplorer/SecGraphAsAttributeExample.ProjectName = Using a Secondary Graph as an attribute in a node
/examples/graphexplorer/SecGraphAsAttributeExample.ShortDescription = A small shoot that contains an secondary graph of one side shoot and several instance of the side shoot are added to the instantiation rule of the shoot. 
/examples/graphexplorer/SecGraphAsAttributeExample.Image = `image SecGraphAsAttributeExample.png`

/examples/graphexplorer/secGraphRuleRewriting.ProjectName =Secondary Graph as Rules
/examples/graphexplorer/secGraphRuleRewriting.ShortDescription = Using secondary graphs as rewriting rules. Highly experimental !!!



